unitestFilter-methods {xps} | R Documentation

## Unitest Filter

### Description

This method initializes the Unitest Filter.
Applying an unitest such as the `t.test` to two groups returns the p-value for the test and the value of the t-statistic. The Unitest Filter allows to select only rows satisfying e.g. a certain p-value as cutoff.
The Unitest Filter flags all rows with: `flag = (variable <= cutoff)`

Usage

`unitestFilter(object)`
`unitestFilter(object, value)<-`

### Arguments

`object` | object of class `UniFilter`.
`value` | character vector `c(cutoff, variable)`.

### Details

The method `unitestFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `variable`: | `variable="pval"` (default): p-value.
|  | `variable="stat"`: univariate statistic.
|  | `variable="padj"`: optional adjusted p-value.
|  | `variable="pcha"`: optional p-value obtained by permutations.

### Value

An initialized `UniFilter` object.

### Author(s)

Christian Stratowa

### Examples

    unifltr <- UniFilter()
    unitestFilter(unifltr) <- c(0.01,"pval")
    str(unifltr)

[Package xps version 1.2.10 Index]